Package org.linphone.core

# Interface AccountManagerServicesRequest

public interface AccountManagerServicesRequest
Request object created by `AccountManagerServices`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`AccountManagerServicesRequest.Type`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(AccountManagerServicesRequestListener listener)`
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`AccountManagerServicesRequest.Type`
`getType()`
Gets the `AccountManagerServicesRequest.Type` representing this request.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`removeListener(AccountManagerServicesRequestListener listener)`
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`void`
`submit()`
Executes the request represented by `AccountManagerServicesRequest`.
`String`
`toString()`

## Method Details

### getType

AccountManagerServicesRequest.Type getType()
Gets the `AccountManagerServicesRequest.Type` representing this request.

Returns:
  the `AccountManagerServicesRequest.Type`.

### submit

void submit()
Executes the request represented by `AccountManagerServicesRequest`.

### addListener

void addListener(AccountManagerServicesRequestListener listener)

### removeListener

void removeListener(AccountManagerServicesRequestListener listener)

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`